export interface TickOptions {
    maxLeafCount?: number;
    maxDepth?: number;
    tickStep?: number;
}
export declare const DefaultTickOptions: {
    maxLeafCount: number;
    maxDepth: number;
    tickStep: number;
};
export declare const EARTH_RADIUS = 6371000;
export interface PolyOptions {
    noLatitudeCorrection?: boolean;
}
export declare function polyNormalize(poly: any, options?: PolyOptions): any;
export declare function polyArea(poly: any, options?: PolyOptions): number;
export declare function polyPerimeter(poly: any, options?: PolyOptions): number;
export declare class Circle {
    x: number;
    y: number;
    r: number;
    constructor(x: number, y: number, r: number);
}
export declare function polyToCircle(poly: any, options?: PolyOptions): Circle | null;
export declare function polyToPolsbyPopperCircle(poly: any, options?: PolyOptions): Circle | null;
export declare function polyFromCircle(c: Circle, nSegments?: number, options?: PolyOptions): any;
export declare function polyConvexHull(poly: any, options?: PolyOptions): any;
export interface CompactnessDescription {
    value: number;
    reock: number;
    polsby_popper: number;
    convex_hull: number;
    schwartzberg: number;
}
export declare function polyCompactness(poly: any, options?: PolyOptions): CompactnessDescription;
export interface PolyDescription {
    npoly: number;
    nhole: number;
    npoint: number;
}
export declare function polyDescribe(poly: any, options?: PolyOptions): PolyDescription;
export declare function npoints(poly: any): number;
